$AdfDhtmlMenuBarPeer$$.$_SUB_ID_MAP$ = {start_overflow_indicator:"soi", end_overflow_indicator:"eoi", start_overflow_container:"soc", end_overflow_container:"eoc"};
$AdfDhtmlMenuBarPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlMenuBarPeer$$$$$GetSubIdDomElement$$($itemNumber$$1_itemValue$$4_subElementId$$25$$) {
  var $component$$1827_domElem$$13_domElement$$566_tr$$26$$ = this.$getComponent$();
  if($component$$1827_domElem$$13_domElement$$566_tr$$26$$ = $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($itemNumber$$1_itemValue$$4_subElementId$$25$$, $AdfDhtmlMenuBarPeer$$.$_SUB_ID_MAP$, $component$$1827_domElem$$13_domElement$$566_tr$$26$$)) {
    return $component$$1827_domElem$$13_domElement$$566_tr$$26$$
  }
  if("item[" == $itemNumber$$1_itemValue$$4_subElementId$$25$$.substr(0, 5)) {
    return $component$$1827_domElem$$13_domElement$$566_tr$$26$$ = this.$getDomElement$(), $itemNumber$$1_itemValue$$4_subElementId$$25$$ = $itemNumber$$1_itemValue$$4_subElementId$$25$$.substring(5, $itemNumber$$1_itemValue$$4_subElementId$$25$$.lastIndexOf("]")), $itemNumber$$1_itemValue$$4_subElementId$$25$$ = parseInt($itemNumber$$1_itemValue$$4_subElementId$$25$$), $component$$1827_domElem$$13_domElement$$566_tr$$26$$ = $AdfDomUtils$$.$getFirstDescendentElement$($component$$1827_domElem$$13_domElement$$566_tr$$26$$, 
    "TR"), $AdfDomUtils$$.$getChildElementByPosition$($component$$1827_domElem$$13_domElement$$566_tr$$26$$, 1, $itemNumber$$1_itemValue$$4_subElementId$$25$$)
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlMenuBarPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlMenuBarPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlMenuBarPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlMenuBarPeer$$$$$GetBestMatchSubId$$($childElement$$29$$) {
  var $childItems_rootElement$$150_tr$$27$$ = this.$getDomElement$(), $childItems_rootElement$$150_tr$$27$$ = $AdfDomUtils$$.$getFirstDescendentElement$($childItems_rootElement$$150_tr$$27$$, "TR"), $childItems_rootElement$$150_tr$$27$$ = $AdfDomUtils$$.$getChildElements$($childItems_rootElement$$150_tr$$27$$);
  for(i = 0;i < $childItems_rootElement$$150_tr$$27$$.length;i++) {
    if($childElement$$29$$ === $childItems_rootElement$$150_tr$$27$$[i]) {
      return"item[" + i + "]"
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$29$$, this, $AdfDhtmlMenuBarPeer$$.$_SUB_ID_MAP$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlMenuBarPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlMenuBarPeer$$.prototype.$GetBestMatchSubId$});
